    The XSPEC rgsxsrc convolution model: convolve an RGS spectrum for extended emission.

xsrgsxsrc
The xsrgsxsrc model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xsrgsxsrc", "mdl")
>>> print(mdl)

Create a component of the xsrgsxsrc model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.order frozen -1 -3 -1

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
order
The order, which must be -1 to -3 inclusive.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

The set_xsxset function must be used to set the RGS_XSOURCE_FILE value to point to a file as described in [1] .

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelRgxsrc.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023